local msg = {}
msg[#msg + 1]='\n'
msg[#msg + 1]='Welcome to the Back Of The Hand mission!'
msg[#msg + 1]='\n'
msg[#msg + 1]='---'
msg[#msg + 1]='\n'

-- Blue Objectives
if trigger.misc.getUserFlag(30101) == 0 and trigger.misc.getUserFlag(30301) == 0 then 
	msg[#msg + 1]='Blue objectives are to close the Roki Tunnel and destroy the Red Rocket Factory.'
	msg[#msg + 1]='\n'
elseif trigger.misc.getUserFlag(30101) == 1 and trigger.misc.getUserFlag(30301) == 0 then 
	msg[#msg + 1]='The remaining Blue objective is the Red Rocket Factory.'
	msg[#msg + 1]='\n'
elseif trigger.misc.getUserFlag(30101) == 0 and trigger.misc.getUserFlag(30301) == 1 then 
	msg[#msg + 1]='The Roki Tunnel remains open.  The remaining Blue objective is to close either the east or west entrance.'
	msg[#msg + 1]='\n'
end

-- Roki tunnel closed 
if trigger.misc.getUserFlag(30101) == 1 then 
	msg[#msg + 1]='The Roki Tunnel is closed.  Blue aircraft bombed the entrance.  No more Red forces will be coming down that highway.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='Closing the tunnel is a Blue mission objective.  Good work!'
	msg[#msg + 1]='\n'
-- Roki tunnel damaged
-- east & west
elseif trigger.misc.getUserFlag(30116) == 1 and trigger.misc.getUserFlag(30136) == 1 then 
	msg[#msg + 1]='Both entrances to the Roki Tunnel have been hit with bombs.  Blue aircraft must complete the destruction of the Roki Tunnel by closing one of the entrances.'
	msg[#msg + 1]='\n'
-- east
elseif trigger.misc.getUserFlag(30116) == 1 then 
	msg[#msg + 1]='The eastern Roki Tunnel is damaged.  Blue aircraft must complete the destruction of Roki Tunnel east.'
	msg[#msg + 1]='\n'
-- west
elseif trigger.misc.getUserFlag(30136) == 1 then 
	msg[#msg + 1]='The western Roki Tunnel is damaged.  Seal off the Roki Tunnel west!'
	msg[#msg + 1]='\n'
end

-- Red rocket factory dead 
if trigger.misc.getUserFlag(30301) == 1 then 
	msg[#msg + 1]='The Red Rocket Factory at Tskhinvali was destroyed by Blue.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='Good job Blue!  This is a mission objective.'
	msg[#msg + 1]='\n'
-- Red rocket factory damaged
elseif trigger.misc.getUserFlag(30306) == 1 then 
	msg[#msg + 1]='The Red Rocket Factory at Tskhinvali is damaged.  The factory is a mission objective.'
	msg[#msg + 1]='\n'
end

msg[#msg + 1]='---'
msg[#msg + 1]='\n'

-- Red Win
-- Blue Aircraft Assembly Plant Dead 
if trigger.misc.getUserFlag(70201) == 1 then 
	msg[#msg + 1]='The Blue Aircraft Assembly Plant at Soganlug Airbase was destroyed.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='Red forces accomplished their objective.  It is a sad day for the Blue Liberation Front.'
	msg[#msg + 1]='\n'
-- Blue Aircraft Assembly Plant Damaged
elseif trigger.misc.getUserFlag(70206) == 1 then 
	msg[#msg + 1]='Red objective: the Blue Aircraft Assembly Plant at Soganlug Airbase is damaged.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='Blue: Find the Smerch artillery west of Igoeti.  Save the aircraft assembly plant!'
	msg[#msg + 1]='\n'
else
	msg[#msg + 1]='The Red mission objective is to destroy the Aircraft Assembly Plant near Tbilisi Airport.'
	msg[#msg + 1]='\n'
end

msg[#msg + 1]='---'
msg[#msg + 1]='\n'

-- civilian train
if trigger.misc.getUserFlag(70301) == 1 and trigger.misc.getUserFlag(30116) == 0 and trigger.misc.getUserFlag(30136) == 0 and trigger.misc.getUserFlag(30306) == 0 then 
	msg[#msg + 1]='A civilian train was attacked near Gori by Red rocket forces.  Thirteen dead and dozens injured!'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='A Blue Liberation Front spokesman promised retaliation for this "massacre of innocent civilians", and said Blue forces will attack the Red rocket factory at Tskhinvali.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='---'
	msg[#msg + 1]='\n'
end

-- Gori outpost destroyed
if trigger.misc.getUserFlag(75301) == 1 and trigger.misc.getUserFlag(30116) == 0 and trigger.misc.getUserFlag(30136) == 0 and trigger.misc.getUserFlag(30306) == 0 then 
	msg[#msg + 1]='The Blue outpost at Gori was destroyed.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='Watch for Red armor and artillery to move through Gori, towards the Blue aircraft plant at Soganlug.'
	msg[#msg + 1]='\n'
	msg[#msg + 1]='---'
	msg[#msg + 1]='\n'
end

-- civilian aircraft
if trigger.misc.getUserFlag(31001) == 0 then -- BUK must be alive
	if trigger.misc.getUserFlag(51001) == 1 then 
		msg[#msg + 1]='A civilian aircraft has crashed!  Witnesses describe seeing a missile plume just minutes before.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='The RDR denies any involvement in the downing of this aircraft.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='---'
		msg[#msg + 1]='\n'
	elseif trigger.misc.getUserFlag(51001) == 2 then 
		msg[#msg + 1]='Two civilian aircraft were destroyed!'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='The Blue Liberation Front reports that two of its regional civilian jets have crashed.  A missile attack has not been ruled out.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='---'
		msg[#msg + 1]='\n'
	elseif trigger.misc.getUserFlag(51001) == 3 then 
		msg[#msg + 1]='Three civilian aircraft are now reported to have crashed!'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='A crises has developed as Red forces are being blamed for the massacre of innocent civilian lives.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='---'
		msg[#msg + 1]='\n'
	elseif trigger.misc.getUserFlag(51001) == 4 then 
		msg[#msg + 1]='Four civilian aircraft were destroyed!  A lone Red BUK launcher is responsible.  Search south of Tskhinvali.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='Blue Liberation Front spokesmen have vowed to strike back against the RDR, saying that the Red rocket factory and the Roki tunnel are now primary objectives in the fighting.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='---'
		msg[#msg + 1]='\n'
	elseif trigger.misc.getUserFlag(51001) == 5 then 
		msg[#msg + 1]='Five civilian aircraft have been destroyed!  This is outrageous.  Find that BUK launcher and kill it.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='The Red Democratic Republic continues to deny involvement in the destruction of civilian aricraft.  However, in a terse statement, the RDR says it will target the Blue aircraft assembly plant at Soganlug Airbase.'
		msg[#msg + 1]='\n'
		msg[#msg + 1]='---'
		msg[#msg + 1]='\n'
	end
end

-- msg[#msg + 1]='I hope that you have enjoyed this Back Of The Hand mission - Wrecking Crew. \n'
trigger.action.outText(table.concat(msg), 20)
